List earn offers
curl --request GET \
--url https://criffy.com/api/v1/earn \
--header 'Authorization: Bearer <token>'import requests
url = "https://criffy.com/api/v1/earn"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://criffy.com/api/v1/earn', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://criffy.com/api/v1/earn",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://criffy.com/api/v1/earn"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://criffy.com/api/v1/earn")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://criffy.com/api/v1/earn")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 101,
"compositeKey": "binance:eth:flexible",
"platform": {
"type": "exchange",
"slug": "binance",
"name": "Binance"
},
"chain": {
"slug": "ethereum",
"symbol": "ETH",
"name": "Ethereum"
},
"asset": {
"slug": "ethereum",
"symbol": "ETH",
"name": "Ethereum"
},
"reward_assets": [],
"product_type": "savings",
"product_name": "Flexible ETH Savings",
"duration_days": null,
"apy": "3.25",
"estimated_apy": "3.10",
"estimated_apy_updated_at": "2026-04-23T09:55:00.000Z",
"tvl": "4200000.00",
"min_amount": "0.01",
"max_amount": null,
"available": false,
"available_updated_at": "2026-04-23T09:55:00.000Z",
"link": "https://www.binance.com/en/earn",
"updated_at": "2026-04-23T10:00:00.000Z"
}
],
"pagination": {
"total": 830,
"offset": 0,
"limit": 1,
"has_more": true
}
}Offers
List earn offers
Returns published earn offers with filtering, sorting, and pagination. Unavailable offers can be returned with available: false.
GET
/
api
/
v1
/
earn
List earn offers
curl --request GET \
--url https://criffy.com/api/v1/earn \
--header 'Authorization: Bearer <token>'import requests
url = "https://criffy.com/api/v1/earn"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://criffy.com/api/v1/earn', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://criffy.com/api/v1/earn",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://criffy.com/api/v1/earn"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://criffy.com/api/v1/earn")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://criffy.com/api/v1/earn")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 101,
"compositeKey": "binance:eth:flexible",
"platform": {
"type": "exchange",
"slug": "binance",
"name": "Binance"
},
"chain": {
"slug": "ethereum",
"symbol": "ETH",
"name": "Ethereum"
},
"asset": {
"slug": "ethereum",
"symbol": "ETH",
"name": "Ethereum"
},
"reward_assets": [],
"product_type": "savings",
"product_name": "Flexible ETH Savings",
"duration_days": null,
"apy": "3.25",
"estimated_apy": "3.10",
"estimated_apy_updated_at": "2026-04-23T09:55:00.000Z",
"tvl": "4200000.00",
"min_amount": "0.01",
"max_amount": null,
"available": false,
"available_updated_at": "2026-04-23T09:55:00.000Z",
"link": "https://www.binance.com/en/earn",
"updated_at": "2026-04-23T10:00:00.000Z"
}
],
"pagination": {
"total": 830,
"offset": 0,
"limit": 1,
"has_more": true
}
}Authorizations
Bearer API key for authenticated /api/v1/* access.
Query Parameters
Filter offers by platform family.
Available options:
exchange, wallet, protocol Filter offers by a specific platform slug.
Filter offers by asset or collateral slug.
Minimum APY percentage filter. Supported by earn and borrow offer indexes.
Required range:
x >= 0Sorting mode for offer list endpoints.
Available options:
apy_desc, apy_asc, tvl_desc, updated_desc Number of records to return. Minimum 1, maximum 200, default 50.
Required range:
1 <= x <= 200Zero-based offset into the result set. Default 0.
Required range:
x >= 0
